### Hierarchy

- Entity
  - ProcessTokenEntity

### Implements

- IEntity
- IProcessTokenEntity

## Index

### Constructors

- constructor

### Properties

- context
- id
- invoker
- isDirty
- isNew
- propertyBag
- schema
- securityService

### Accessors

- data
- entityType
- process

### Methods

- calculate
- clone
- fromPojo
- getCalculatedProperty
- getDatastoreService
- getEntityReference
- getProcess
- getProperty
- getPropertyLazy
- initialize
- remove
- save
- secureCompare
- setCalculatedProperty
- setProperty
- toPojo

## Constructors

### constructor

- new ProcessTokenEntity(entityDependencyHelper: EntityDependencyHelper, context: ExecutionContext, schema: IInheritedSchema, propertyBag: IPropertyBag, entityType: IEntityType<IEntity>): ProcessTokenEntity

- Overrides Entity.__constructor

  - Defined in entity_types/process_token.ts:7

  #### Parameters

  - ##### entityDependencyHelper: EntityDependencyHelper

  - ##### context: ExecutionContext

  - ##### schema: IInheritedSchema

  - ##### propertyBag: IPropertyBag

  - ##### entityType: IEntityType<IEntity>

  #### Returns ProcessTokenEntity

## Properties

### context

context: ExecutionContext

Inherited from Entity.context

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:14

### id

id: string

Inherited from Entity.id

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:26

### Protected invoker

invoker: IInvoker

Inherited from Entity.invoker

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:16

### isDirty

isDirty: boolean

Inherited from Entity.isDirty

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:22

### isNew

isNew: boolean

Inherited from Entity.isNew

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:21

### Protected propertyBag

propertyBag: IPropertyBag

Inherited from Entity.propertyBag

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:19

### schema

schema: IInheritedSchema

Inherited from Entity.schema

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:15

### Protected securityService

securityService: ISecurityService

Inherited from Entity.securityService

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:18

## Accessors

### data

- get data(): any
- set data(value: any): void

- - Defined in entity_types/process_token.ts:22

  #### Returns any

- - Defined in entity_types/process_token.ts:26

  #### Parameters

  - ##### value: any

  #### Returns void

### Protected entityType

- get entityType(): IEntityType<IProcessTokenEntity>

- Overrides Entity.entityType

  - Defined in entity_types/process_token.ts:30

  #### Returns IEntityType<IProcessTokenEntity>

### process

- get process(): IProcessEntity
- set process(value: IProcessEntity): void

- - Defined in entity_types/process_token.ts:35

  #### Returns IProcessEntity

- - Defined in entity_types/process_token.ts:39

  #### Parameters

  - ##### value: IProcessEntity

  #### Returns void

## Methods

### calculate

- calculate(context: ExecutionContext, options?: IFromPojoOptions): Promise<void>

- Inherited from Entity.calculate

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:39

  #### Parameters

  - ##### context: ExecutionContext

  - ##### Optional options: IFromPojoOptions

  #### Returns Promise<void>

### clone

- clone(): Promise<IProcessTokenEntity>

- - Defined in entity_types/process_token.ts:47

  #### Returns Promise<IProcessTokenEntity>

### fromPojo

- fromPojo(context: ExecutionContext, data: any, options?: IFromPojoOptions): Promise<void>

- Inherited from Entity.fromPojo

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:37

  #### Parameters

  - ##### context: ExecutionContext

  - ##### data: any

  - ##### Optional options: IFromPojoOptions

  #### Returns Promise<void>

### getCalculatedProperty

- getCalculatedProperty(propertyThisContext: any, propertyName: string, context: ExecutionContext): Promise<any>

- Inherited from Entity.getCalculatedProperty

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:30

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  - ##### context: ExecutionContext

  #### Returns Promise<any>

### Protected getDatastoreService

- getDatastoreService(): Promise<IDatastoreService>

- Inherited from Entity.getDatastoreService

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:20

  #### Returns Promise<IDatastoreService>

### getEntityReference

- getEntityReference(): IEntityReference

- Inherited from Entity.getEntityReference

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:56

  #### Returns IEntityReference

### getProcess

- getProcess(context: ExecutionContext): Promise<IProcessEntity>

- - Defined in entity_types/process_token.ts:43

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<IProcessEntity>

### getProperty

- getProperty(propertyThisContext: any, propertyName: string): any

- Inherited from Entity.getProperty

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:27

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  #### Returns any

### getPropertyLazy

- getPropertyLazy(propertyThisContext: any, propertyName: string, context: ExecutionContext, options?: IPrivateQueryOptions): Promise<any>

- Inherited from Entity.getPropertyLazy

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:28

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  - ##### context: ExecutionContext

  - ##### Optional options: IPrivateQueryOptions

  #### Returns Promise<any>

### initialize

- initialize(): Promise<void>

- Overrides Entity.initialize

  - Defined in entity_types/process_token.ts:17

  #### Returns Promise<void>

### remove

- remove(context: ExecutionContext, options?: IPrivateRemoveOptions): Promise<boolean>

- Inherited from Entity.remove

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:55

  #### Parameters

  - ##### context: ExecutionContext

  - ##### Optional options: IPrivateRemoveOptions

  #### Returns Promise<boolean>

### save

- save(context: ExecutionContext, options?: IPrivateSaveOptions): Promise<IEntity>

- Inherited from Entity.save

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:54

  #### Parameters

  - ##### context: ExecutionContext

  - ##### Optional options: IPrivateSaveOptions

  #### Returns Promise<IEntity>

### secureCompare

- secureCompare(attributeName: string, valueToCompare: string): Promise<boolean>

- Inherited from Entity.secureCompare

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:53

  #### Parameters

  - ##### attributeName: string

  - ##### valueToCompare: string

  #### Returns Promise<boolean>

### setCalculatedProperty

- setCalculatedProperty(propertyThisContext: any, propertyName: string, value: any, context: ExecutionContext): Promise<void>

- Inherited from Entity.setCalculatedProperty

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:31

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  - ##### value: any

  - ##### context: ExecutionContext

  #### Returns Promise<void>

### setProperty

- setProperty(propertyThisContext: any, propertyName: string, value: any): void

- Inherited from Entity.setProperty

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:29

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  - ##### value: any

  #### Returns void

### toPojo

- toPojo(context: ExecutionContext, options?: IToPojoOptions): Promise<any>

- Inherited from Entity.toPojo

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:32

  #### Parameters

  - ##### context: ExecutionContext

  - ##### Optional options: IToPojoOptions

  #### Returns Promise<any>

Generated using TypeDoc